Package com.xebialabs.xlrelease.domain

# Class TaskDefinition

java.lang.Object
com.xebialabs.xlrelease.domain.TaskDefinition

Direct Known Subclasses:
  `TaskWithPropertiesDefinition`

public class TaskDefinition extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allowed`
  `protected String`
  `displayGroup`
  `protected String`
  `displayName`
  `protected String`
  `typeName`
  `static final String`
  `XEBIALABS_GROUP`
  `static final String`
  `XLRELEASE_GROUP`
  `static final String`
  `XLRELEASE_GROUP_REPLACEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskDefinition(Type type, boolean allowed)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayGroup()`
  `static String`
  `getDisplayGroup(Type type)`
  `String`
  `getDisplayName()`
  `static String`
  `getDisplayName(Type type)`
  `protected static String`
  `getPrefix(Type type)`
  `String`
  `getTypeName()`
  `boolean`
  `isAllowed()`
  `protected static boolean`
  `isCore(String prefix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XLRELEASE_GROUP_REPLACEMENT

    public static final String XLRELEASE_GROUP_REPLACEMENT
    See Also:
      - Constant Field Values

  - ### XLRELEASE_GROUP

    public static final String XLRELEASE_GROUP
    See Also:
      - Constant Field Values

  - ### XEBIALABS_GROUP

    public static final String XEBIALABS_GROUP
    See Also:
      - Constant Field Values

  - ### typeName

    protected String typeName

  - ### displayGroup

    protected String displayGroup

  - ### displayName

    protected String displayName

  - ### allowed

    protected boolean allowed

- ## Constructor Details

  - ### TaskDefinition

    public TaskDefinition(Type type, boolean allowed)

- ## Method Details

  - ### getDisplayGroup

    public static String getDisplayGroup(Type type)

  - ### getDisplayName

    public static String getDisplayName(Type type)

  - ### getTypeName

    public String getTypeName()

  - ### getDisplayGroup

    public String getDisplayGroup()

  - ### getDisplayName

    public String getDisplayName()

  - ### isAllowed

    public boolean isAllowed()

  - ### getPrefix

    protected static String getPrefix(Type type)

  - ### isCore

    protected static boolean isCore(String prefix)